Bug 154829 - [PATCH] devel/arduino: Eliminate references to legacy include
Summary: [PATCH] devel/arduino: Eliminate references to legacy include
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-16 19:30 UTC by leres
Modified: 2011-03-24 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (341 bytes, patch)
2011-02-16 19:30 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2011-02-16 19:30:11 UTC
	The include file avr/delay.h in avr-libc 1.7.0 has been
	depreciated; the new include is util/delay.h. If you include
	avr/delay.h, a gcc warning is generated.

	This is true for the FreeBSD port version of arduino (0019)
	as well as the current released version (0022).

Fix: I have filed an upstream ticket:

	    http://code.google.com/p/arduino/issues/detail?id=480

	which I assume will be part of some future release > 0022.

	The attached patch files are to be put in devel/arduino/files.
	They work work with both 0019 (current port version) and 0022
	(current released version).

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (FreeBSD)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk1cI8cACgkQWxlAhAje3JuPwQCdEvxLIokz8lvnOZOy7q8TrJqm
s5AAn29Nxybj05M80v3yw4oc1qTZiOVJ
=nWk1
-----END PGP SIGNATURE-----

--------------010701030806060300050103
Content-Type: text/plain;
 name="patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c"

--------------010701030806060300050103
Content-Type: text/plain;
 name="patch-hardware-arduino-cores-arduino-wiring_private.h"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="patch-hardware-arduino-cores-arduino-wiring_private.h"



--------------010701030806060300050103
Content-Type: application/octet-stream;
 name="patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c.sig"

iEYEABECAAYFAk1cI8cACgkQWxlAhAje3JuQkQCdFP1mvlcB/0glwfjNU9j9c7cuyYQAn0QL
X2nZ6IUDI8VW93AxFFJaNCMz
--------------010701030806060300050103
Content-Type: application/octet-stream;
 name="patch-hardware-arduino-cores-arduino-wiring_private.h.sig"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename*0="patch-hardware-arduino-cores-arduino-wiring_private.h.sig"

iEYEABECAAYFAk1cI8cACgkQWxlAhAje3JsnkQCggJingpiG0KEmBsozg4PYpre6UwkAmgPT
/ndtJaOHb8Q3SUg5dYnGZQtr
--------------010701030806060300050103----2W61Mu9gYUILEPyDnefaFMY8LGnO1hUzsF3A5QMbcaR8rO43
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- hardware/arduino/bootloaders/atmega8/ATmegaBOOT.c.orig	2010-09-20 08:54:44.000000000 -0700
+++ hardware/arduino/bootloaders/atmega8/ATmegaBOOT.c	2011-02-16 10:49:29.000000000 -0800
@@ -36,7 +36,7 @@
 #include <avr/pgmspace.h>
 #include <avr/eeprom.h>
 #include <avr/interrupt.h>
-#include <avr/delay.h>
+#include <util/delay.h>
 
 //#define F_CPU			16000000
 
How-To-Repeat: 	Try to build a sketch with -Werror turned on:

	    /usr/local/bin/avr-gcc -c -Werror -mmcu=atmega328p -DF_CPU=16000000
- -I. -I/usr/local/arduino/hardware/arduino/cores/arduino
- -I/usr/local/arduino -I/usr/local/arduino/local/libraries
- -I/usr/local/arduino/libraries/EEPROM -g -Os -w -Wall
- -ffunction-sections -fdata-sections -std=gnu99
/usr/local/arduino/hardware/arduino/cores/arduino/WInterrupts.c -o
build-cli/WInterrupts.o
	    In file included from
/usr/local/arduino/hardware/arduino/cores/arduino/wiring_private.h:30,
			     from
/usr/local/arduino/hardware/arduino/cores/arduino/WInterrupts.c:33:
	
/usr/local/lib/gcc/avr/4.3.4/../../../../avr/include/avr/delay.h:36:2:
error: #warning "This file has been moved to <util/delay.h>."
	    gmake: *** [build-cli/WInterrupts.o] Error 1
Comment 1 Edwin Groothuis freebsd_committer 2011-02-16 19:30:15 UTC
Maintainer of devel/arduino,

Please note that PR ports/154829 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154829

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-02-16 19:30:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 wblock 2011-02-20 00:12:31 UTC
On Wed, 16 Feb 2011, Edwin Groothuis wrote:

> Maintainer of devel/arduino,
>
> Please note that PR ports/154829 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154829

Approved.
Comment 4 Mark Linimon freebsd_committer 2011-02-20 04:13:03 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter freebsd_committer 2011-03-24 00:23:32 UTC
wen         2011-03-24 00:23:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/arduino        Makefile distinfo 
  Added files:
    devel/arduino/files  
                         patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c 
                         patch-hardware-arduino-cores-arduino-wiring_private.h 
  Log:
  - Eliminate references to legacy includeEliminate references to legacy include
  
  PR:             ports/154829
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.3       +3 -0      ports/devel/arduino/Makefile
  1.3       +0 -1      ports/devel/arduino/distinfo
  1.1       +11 -0     ports/devel/arduino/files/patch-hardware-arduino-bootloaders-atmega8-ATmegaBOOT.c (new)
  1.1       +11 -0     ports/devel/arduino/files/patch-hardware-arduino-cores-arduino-wiring_private.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wen Heping freebsd_committer 2011-03-24 00:26:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 7 dfilter freebsd_committer 2011-03-24 00:29:45 UTC
wen         2011-03-24 00:29:31 UTC

  FreeBSD ports repository

  Modified files:
    devel/arduino        Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Eliminate references to legacy include
  
  PR:             ports/154829
  Submitted by:   Craig Leres <leres@ee.lbl.gov>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.4       +0 -0      ports/devel/arduino/Makefile
  1.4       +0 -0      ports/devel/arduino/distinfo
  1.2       +0 -0      ports/devel/arduino/pkg-descr
  1.3       +0 -0      ports/devel/arduino/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"